org.springframework.oxm.mime

## Interface MimeMarshaller

All Superinterfaces:
  Marshaller

All Known Implementing Classes:
  Jaxb2Marshaller

    public interface MimeMarshaller
    extends Marshaller

Subinterface of `Marshaller` that can use MIME attachments to optimize storage of binary data. Attachments can be added as MTOM, XOP, or SwA.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  SOAP Message Transmission Optimization Mechanism, XML-binary Optimized Packaging

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `marshal(Object graph, Result result, MimeContainer mimeContainer)` Marshals the object graph with the given root into the provided `Result`, writing binary data to a `MimeContainer`.

### Methods inherited from interface org.springframework.oxm.Marshaller

`marshal, supports`

### Method Detail

#### marshal

    void marshal(Object graph,
                 Result result,
                 @Nullable
                 MimeContainer mimeContainer)
          throws XmlMappingException,
                 IOException

Marshals the object graph with the given root into the provided `Result`, writing binary data to a `MimeContainer`.

Parameters:
  `graph` - the root of the object graph to marshal
  `result` - the result to marshal to
  `mimeContainer` - the MIME container to write extracted binary content to
Throws:
  `XmlMappingException` - if the given object cannot be marshalled to the result
  `IOException` - if an I/O exception occurs